Package Details: nsnake 3.0.1-2

Git Clone URL: https://aur.archlinux.org/nsnake.git (read-only, click to copy)
Package Base: nsnake
Description: Customizable Snake game with ncurses for the terminal
Upstream URL: http://nsnake.alexdantas.net/
Keywords: arcade game ncurses
Licenses: GPL3
Submitter: Seninha
Maintainer: severach
Last Packager: severach
Votes: 24
Popularity: 0.000031
First Submitted: 2012-03-04 20:31 (UTC)
Last Updated: 2015-09-01 07:42 (UTC)

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

micwoj92 commented on 2021-10-25 11:28 (UTC)

Homepage unavailable, redirects to some ad website.

commented on 2015-08-30 13:48 (UTC)

I've recently moved to Gentoo full-time, so I'm disowning all my packages. Farewell!

commented on 2015-08-08 18:03 (UTC)

Rescued from the old AUR :) Now it installs to /usr instead of /usr/local.

UnsolvedCypher commented on 2015-01-24 20:46 (UTC)

I seem to be getting an error when installing: error: failed to commit transaction (conflicting files) nsnake: /usr/local/share/man exists in filesystem Errors occurred, no packages were upgraded.

alexdantas commented on 2014-07-29 04:57 (UTC)

Updated to v3.0.0, nice new features! Also, dropped dependency on `yaml-cpp`

alexdantas commented on 2014-07-14 22:41 (UTC)

Updated to v2.0.8, quite a lame update

MazeChaZer commented on 2014-06-01 14:34 (UTC)

The compliation issue has resolved itself with the latest update. Thanks for maintaining the package!

alexdantas commented on 2014-05-31 01:08 (UTC)

Hello, guys! I'm nsnake's author and started maintaining this package. Updated to the latest version - 2.0.5

MazeChaZer commented on 2014-05-16 08:18 (UTC)

I just checked the most recent source tarball (version 2.0.0) from Sourceforge and it compiles flawlessly. Perhaps you might consider using this instead of the git repository? The release seems pretty up-to-date (it's from march this year). http://sourceforge.net/projects/nsnake/files/GNU-Linux/nsnake-2.0.0.tar.gz/download

MazeChaZer commented on 2014-05-16 08:09 (UTC)

Doesn't compile here: [...] # Compiling src/Flow/StateManager.cpp... In file included from src/Flow/StateManager.cpp:7:0: src/Config/INI.hpp:7:38: fatal error: iniparser.h: No such file or directory #include <iniparser.h> // local files ^ compilation terminated. Makefile:138: recipe for target 'src/Flow/StateManager.o' failed make: *** [src/Flow/StateManager.o] Error 1 make: *** Waiting for unfinished jobs....

Seninha commented on 2014-03-04 00:31 (UTC)

Done! Thank you, godofgrunts!

godofgrunts commented on 2014-03-02 23:44 (UTC)

Hi! Thanks for making this package. I just tried this on my Raspberrypi and it works. You can safely add 'armv6h' to the "arch" line of your PKGBUILD.

Seninha commented on 2013-05-18 21:35 (UTC)

Done! thank you, AlphaHeX!

AlphaHeX commented on 2013-05-18 20:04 (UTC)

Please replace make DESTDIR="$pkgdir/" PREFIX="$pkgdir/usr" install with sed -i 's/PREFIX)\/games/PREFIX)\/bin/g' Makefile && make PREFIX="$pkgdir/usr" install

Seninha commented on 2012-03-07 01:17 (UTC)

Thank you, Army;) Actually I didn't do this program, it was done on Ubuntu and I put it in the Arch without knowing anything about compiling programs. :) Thanks for the tips, I must read carefully the packagin standards... Detail: I didn't do this program. The name of its developer is in the package's manual

commented on 2012-03-04 21:46 (UTC)

Oh and it creates a directory /var/games, which is already created by the filesystem package. So I'd add a line rm -rf $pkgdir/var to the end of the package function. Without this line, pacman spits out complaints, which really don't have to be there.

commented on 2012-03-04 21:42 (UTC)

Nice application! About your PKGBUILD, you don't have to put make and gcc into the makedepends line, because they are in the base-devel group, which has to be installed by everybody who uses the AUR. And if it depends on ncurses, you don't have to put it into the makedepends line again. So the makedepends line can be deleted here.